Hey All!
Topcoder SRM 765 is scheduled to start at 11:00 UTC -4, August 23, 2019.
Problem Writer: misof
Registration is now open for the SRM in the Web Arena or Applet and will close 5 minutes before the match begins.
Good luck to everyone!
Topcoder Java Applet | Next SRM 766 — Sept 10
Some Important Links
Match Results | (To access match results, rating changes, challenges, failure test cases) |
Problem Archive | (Top access previous problems with their categories and success rates) |
Problem Writing | (To access everything related to problem writing at Topcoder) |
Algorithm Rankings | (To access Algorithm Rankings) |
Editorials | (To access recent Editorials) |
Anyone able to launch Applet? I'm getting an error probably related to IcedTea
It's working fine for me
I suffered from same problem few months back, here I have described what I did to fix it. https://codeforces.net/blog/entry/67464
I think it would have been great if contest reminders were also sent as emails just like almost all other CP sites do.
You can subscribe to the newsletter and emails here: https://www.topcoder.com/community/competitive-programming
Right below the image, you will see a button to subscribe to the newsletter/reminder emails if you are logged in :)
Thanks. Didn't know of it. :)
Query: How large of a time window does the subscription give between notification and contest?
800 should have been 250.
SRM 765 Div1 (participants x126):
That Hard really wasn't that hard (lol). I figured it out quickly, then thought "wait, how do I break ties in sorting" and spent ~20 more minutes on something unnecessary. 300pt was much trickier because not just any linear reversing scheme works.
For 800, we can also use a non-greedy approach. When doing dp for each mine, we just need to maintain the minimum of a subarray with fixed size using a deque. Sample code.
I saw an announcement that there is a draft for the editorial, but didn't save the link. Can anybody link it?
Editorial link
thank you
You can also find the announcement when you click on Messages in the arena.
Does area of problem setting become dry. Looking at this round, the problems are poor. It even is easier than DIV 2 CF. BTW the example test cases tend to be weaker make more "fail system test" (Yes, I know admin's mind they only serve to understand the statement).
You know, not all good problems are difficult problems. I know some strong coders who says that this round was interesting. I can agree that there were no really-hard problems, but... how did you think that it is easier than CF Div2 rounds, with considering that we have to solve everything in 75 minutes in SRM? Maybe you are pointing the last Div2 problem in the very difficult rounds.
It's only about Div1 Easy. I don't think Div1 Medium/Hard is tricky. Additionally, in recent times it was very rare to have success rate ~20% problems. But sometimes such problems has meaning, because constructing the correct algorithm is one of the concept of "algorithm competitions".
how did you think that it is easier than CF Div2 rounds, with considering that we have to solve everything in 75 minutes in SRM
Time to solve problems in mind.
I don't know about how many minutes did you take to solve (in mind), but for me:
Easy: Many candidates of solutions fail because the maximum number of operations can be $$$2N$$$. So I can imagine that some red rating coders thought 10 minutes for solution. Since I am good at such type of problem, I only thought 2-3 minutes to get a complete solution and got First AC.
Medium: I thought that this was difficult. Some people would say that, if we see the constraints of $$$M \leq 10^{12}$$$ and $$$U \leq 10^{12}$$$, it is sqrt-decomposition. I also could see this in just few minutes, because I have skills to be TC red rating. But the normal DP takes $$$O(d \cdot M \cdot B)$$$ where $$$d$$$ is the digits of $$$U$$$ in base $$$B$$$. So, I thought some minutes that we need to speed-up DP with cumulative sum, to achieve $$$O(M \cdot B)$$$. The problem statement is one-liner, so it can be inevitable for some genius coders to come up complete solution in 1 second.
Hard: Maybe coordinators did not come up with this solution. But probably, really good example as Div2 1000 or 1050.
Let try some DIV 2 E/F and compare :)